(function(context) {

    "use strict";

    context.JK = context.JK || {};
    context.JK.Callbacks = {
        makeStatic: function(staticName, instanceFunction, thisObject) {
            context.JK.Callbacks[staticName] = function() {
                var _this = thisObject || context.JK.Callback;
                return instanceFunction.apply(_this, arguments);
            };
        }
    };

})(window);